Status: Closed

Priority: High

Assignee:

Category: QGIS Server

Affected QGIS version:2.18.7 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24468

Description

Hi

with qgis-server 2.18.7, a GetMap with pdf output format is wrong if a WMS layer is in the list. If I use a WMS Layer as baselayer with full

opacity, it hides all other layers in the pdf.

The problem is not present with qgis-server 2.14.

Regards

Lionel

History

#1 - 2017-05-17 02:41 PM - Giovanni Manghi

- Priority changed from Normal to High

I have also been bitten by this problem.

#2 - 2017-05-17 02:47 PM - René-Luc ReLuc

Hi Lionel,

If you generates, PDF with the request GetPrint, the parameters LAYERS have changed between 2.14 and 2.18. The layer name ordered has been

inverted to be the same has in GetMap and other request.

#3 - 2017-05-17 02:59 PM - Giovanni Manghi

René-Luc ReLuc wrote:

Hi Lionel,

If you generates, PDF with the request GetPrint, the parameters LAYERS have changed between 2.14 and 2.18. The layer name ordered has been

inverted to be the same has in GetMap and other request.

should we close this then?
#4 - 2017-05-17 03:02 PM - René-Luc ReLuc

We should close it if this is about GetPrint.

#5 - 2017-05-17 04:20 PM - Lionel Bargeot

- Status changed from Open to Closed

I understand the problem now.

My GetMap request is générated by a web application (Lizmap). I will have a look in this direction.

Thanks for all.

#6 - 2017-05-17 06:16 PM - René-Luc ReLuc

It's a known issue https://github.com/3liz/lizmap-web-client/issues/483

Regards

#7 - 2017-05-18 10:14 AM - Lionel Bargeot

and thanks again. all is clear now.
